/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ambienteGrafico.ferramentas;

import ambienteGrafico.componentes.Canvas;
import java.awt.Container;
import java.awt.Cursor;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;

/**
 *
 * @author Marília
 */
public abstract class Ferramenta implements MouseListener, MouseMotionListener {

    public abstract Cursor getCursor();
    public abstract void mousePressed(MouseEvent e);
    public abstract void mouseDragged(MouseEvent e);
    public abstract void mouseReleased(MouseEvent e);
    
    public void mouseClicked(MouseEvent e) {}
    public void mouseEntered(MouseEvent e) {}
    public void mouseExited(MouseEvent e) {}
    public void mouseMoved(MouseEvent e)  {}

  
    //public void clickAction(MouseEvent mevt,Canvas theCanvas);

    //public void dragAction(MouseEvent mevt,Canvas theCanvas);

    //public void mouseReleaseAction(MouseEvent mevt,Canvas theCanvas);
}
